View Issue Details

IDProjectCategoryView StatusLast Update
0001271SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.6 
Target Version3.5.0Fixed in Version3.5.0 
Summary0001271: Table creation on reload creates columns with default of 'NULL' incorrectly.
DescriptionTables created by SymmetricDS as part of a reload are quoting the default NULL value.

NULL defaults should not be surrounded by quotes.

Example:
    COL1 VARCHAR(15) DEFAULT 'NULL'

TagsNo tags attached.

Activities

abrougher

2013-06-11 13:08

developer   ~0000276

This should be included in the next release of SymmetricDS.

chenson

2013-07-22 17:52

administrator   ~0000329

prepare for release

Related Changesets

SymmetricDS: master 13838992

2013-06-11 13:07:22

abrougher

Details Diff
0001271: Table creation on reload creates columns with default of 'NULL' incorrectly.
0001271
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2013-06-11 13:01 abrougher New Issue
2013-06-11 13:01 abrougher Status new => assigned
2013-06-11 13:01 abrougher Assigned To => abrougher
2013-06-11 13:07 abrougher Target Version 3.4.7 => 3.5.0
2013-06-11 13:08 abrougher Note Added: 0000276
2013-06-11 13:08 abrougher Status assigned => resolved
2013-06-11 13:08 abrougher Fixed in Version => 3.5.0
2013-06-11 13:08 abrougher Resolution open => fixed
2013-06-11 13:08 abrougher Assigned To abrougher => chenson
2013-07-22 17:52 chenson Note Added: 0000329
2013-07-22 17:52 chenson Status resolved => closed
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7372
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 13838992